Canalplan Bug Tracker



Anonymous Login
2019-02-16 20:04 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000514Canalplan Route Planningpublic2019-02-04 10:30
ReporterShultzy 
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionwon't fix 
PlatformMicrosoftOSWindowsOS Version8.1
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000514: Misleading text in planner
DescriptionAdrian Batchelor has created a navigational note about [King's Norton Junction]

"When approaching from the WAST Tunnel side and going to Birmingham, the directions on the planner say bear right. This can be a bit misleading as the Stratford canal is "Turn Right". To head for Birmingham it would be better described as "continue straight on under the bridge"

This may be an anomaly just at this junction as the [Worcester and Birmingham Canal] runs (Birmingham to King's Norton) and then (Diglis Basin to King's Norton Junction)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001973

Nick Atty (administrator)

The way the instructions work, IIRC, is that it calculates the angle between the line from the junction to the last place you came from and the line to the next place you will be visiting.

If it's small it says "straight on", a bit more is "bear right", then "turn right", then "sharp right", then "sharp left" and so on back to "straight on" again.

I'll look at exactly why this is happening, once I get maps in pdfs sorted out (which is driving me insane at the moment).

~0001982

Nick Atty (administrator)

It's really quite obvious why it's doing this - it's because you *do* bear right to go straight on...

See attached screen shot.

~0002014

Nick Atty (administrator)

Last edited: 2019-01-05 09:55

View 2 revisions

I think someone has moved the junction bridge very slightly to reduce the turn which now makes it say "Turn onto" (which really should be "Continue onto" I think as the canal is unchanged).

I'm closing the issue as - as my screen shot shows - the output was fine. I've also deleted the navigational note.

~0002135

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2018-11-06 13:00 Shultzy New Issue
2018-11-06 13:13 Stephen Atty Assigned To => Nick Atty
2018-11-06 13:13 Stephen Atty Status new => assigned
2018-11-07 07:26 Nick Atty Note Added: 0001973
2018-12-02 10:22 Nick Atty File Added: kingsn.png
2018-12-02 10:22 Nick Atty Note Added: 0001982
2019-01-05 09:54 Nick Atty Note Added: 0002014
2019-01-05 09:55 Nick Atty Note Edited: 0002014 View Revisions
2019-01-05 09:56 Nick Atty Status assigned => resolved
2019-01-05 09:56 Nick Atty Resolution open => won't fix
2019-02-04 10:30 Autoclose Note Added: 0002135
2019-02-04 10:30 Autoclose Status resolved => closed
+Issue History